import api from '@/common/http/'

export default {
  //自动登录
  async autoLogin({ commit }, params) {},

  // 登录
  async login({ commit }, params) {},

  // 获取用户信息
  async getInfo({ commit, state }) {},

  // 清除登录信息
  resetToken({ commit }) {
    return new Promise(resolve => {
      commit('set_token', '')
      commit('set_openId', '')
      commit('set_name', '')
      commit('set_avatar', '')
      commit('set_userId', '')
      commit('set_mobile', '')
      // commit("set_city", "")
      // commit("set_province", "")
      commit('setcrossPagePam', 0)
      resolve()
    })
  }
}
